c                               TOPIC II (2)
c SIMPLE INPUT
c CHARACTER VARIABLES

c****************************************************************************************
c This program illustrates the use of the READ stmt. and a character
c variable. Variables are like mailboxes which hold an actual value 
c ready for later use as often as necessary. But to use such mailboxes
c (which are chunks of memory) we must request them from the system by
c the act of DECLARATION of the variable name. 

c For the sake of human readers of the programs, the "variable names" must 
c have a connection with their content. For example if you are designing a 
c loan application, you wouldn't write "SALARY"  when you expect the 
c applicant to enter their "AGE" in a particular box. In this case SALARY
c and AGE are variable names and can hold/represent many different values.
c****************************************************************************************


c Note that the declaration is absolutely essential        
        
        CHARACTER USRNAM*30     !Note: USRNAM can accomodate up to 30 char's.


c Give instructions to the user (i.e. will appear on screen at run time)
        
        WRITE(*,*)'Please enter your name (in right single quotes)'

c Next read the user input from the keyboard. The first * means the keyboard
c The second * means read it where it is typed. 
c BUT the price for this convenience is that the string MUST be 
c contained in right single quotes by the user. 

        READ(*,*) USRNAM        
        
c As a rule, remember, more convenience for the programmer means 
c less convenience for the user and vice versa. For example
c instead of the simple READ(*,*) above we could write a fancy Graphic
c user interface to get the same information.
        
c next comes the output section        

        WRITE(*,*)                      !allow spacing from the input line
        WRITE(*,*)'Hello ',USRNAM       !echo username

        END



c Note the restrictions on variable names:
c Variables must be 6 characters or less so try to use the best name
c describing the contents, and avoid re-using variables for diffrent
c purposes.

c Numbers can be part of variable names but not as the first character.
c e.g.  VOL2   is allowed but   2PI   is NOT allowed
c Non alphanumeric characters such as "?" or "/" are not allowed anywhere
c as part of the variable name.

c Many compilers allow extended variable names using the underscore character
c for example: WAGES_OF_SIN can be acceptable depending on your compiler.



c ======= * ======== * ========= * ======= * ======== * ========= 
c REGISTER YOUR OWNERSHIP TO GET THE VIDEO TAPE & EXTRA LESSONS 
c IN TIME FOR WHEN YOU FINISH THE TOPICS PROVIDED HERE
c ======= * ======== * ========= * ======= * ======== * ========= 

